Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary: 	CCux Linux artwork
Name: 		ccux-artwork
Version: 	0.9.9
Release: 	1
Epoch:		1
License: 	GNU/GPL
Source1:	dropline-icon-theme-0.6.tar.bz2
Source2:	flatbedcursors-0.1.tar.bz2
Source3:	Hintergrund_800x600.png
Source4:	Hintergrund_1024x768.png
Source5:	Hintergrund_1280x1024.png
Source6:	Hintergrund_1400x1050.png
Source7:	Hintergrund_1600x1200.png
Source8:	Hintergrund_1600x1280.png
Source9:	Hintergrund_1680x1050.png
Group: 		System/Base
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
ExclusiveArch:	noarch

%description
CCux Linux artwork - Backgrounds, Icon and Mouse Themes

%prep
%setup -T -c ccux-artwork 
tar xfjp %{SOURCE1}
tar xfjp %{SOURCE2}

%build

%install
# removing previous build
rm -rf $RPM_BUILD_ROOT

install -m 755 -d $RPM_BUILD_ROOT%_datadir/backgrounds/images
install -m 755 -d $RPM_BUILD_ROOT%_datadir/icons
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT%_datadir/backgrounds/images/
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT%_datadir/backgrounds/images/
install -m 644 %{SOURCE5} $RPM_BUILD_ROOT%_datadir/backgrounds/images/
install -m 644 %{SOURCE6} $RPM_BUILD_ROOT%_datadir/backgrounds/images/
install -m 644 %{SOURCE7} $RPM_BUILD_ROOT%_datadir/backgrounds/images/
install -m 644 %{SOURCE8} $RPM_BUILD_ROOT%_datadir/backgrounds/images/
install -m 644 %{SOURCE9} $RPM_BUILD_ROOT%_datadir/backgrounds/images/
ln -sf Hintergrund_1280x1024.png $RPM_BUILD_ROOT%_datadir/backgrounds/images/ccux-default.png
ln -sf Hintergrund_1280x1024.png $RPM_BUILD_ROOT%_datadir/backgrounds/images/ccux-default.jpg

cd $RPM_BUILD_DIR/%{name}-%{version}
cp -R Dropline $RPM_BUILD_ROOT%_datadir/icons
cp -R Flatbed* $RPM_BUILD_ROOT%_datadir/icons


%files
%defattr(-,root,root)
%_datadir/backgrounds/images/*
%_datadir/icons

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Aug 03 2008 Christian Metzen <metzench@ccux-linux.de> 1:0.9.9-1
- new default backgrounds
- changed versioning to release version, should be better to track
* Mon Mar 26 2007 Christian Metzen <metzench@ccux-linux.de> 1.0.0-1
- Initial release